<?
include '../../system/core.php';
		 $_title = 'Услуги';
include '../../system/header.php';


if(!$user['id']){
header('Location: /index.php'); exit;
}
echo '<div class="tegi">Услуги</div>';
echo '<div class="msg"><img src="/modules/profile/images/mon.gif" alt="*" class="ico"/> Мой баланс: <font color="green"><b>'.$user['rub'].'</b></font> рублей</div>';
          
switch($_GET['bl'])
{

default:  
echo '<div class="post1">» <a href="/balans">Пополнение баланса</a></div>
<div class="post1">» <a href="?bl=nicks">Сменить ник</a></div>
<div class="post1">» <a href="?bl=wmid">Подтверждение реквизитов</a></div>
<div class="post1">» <a href="?bl=icon">Смена иконки</a></div>
<div class="post2">» <a href="?bl=grad">Градиент ника</a></div>
<div class="post2">» <a href="?bl=grad_status">Градиент статуса</a></div>
<div class="post1">» <a href="?bl=rek">Покупка рекламы</a></div>';
break;
///
case 'nicks':
   echo '<div class="tegi">Сменить ник</div>';

  
  
 if( $user['rub'] > 9 ){
  if(isset($_POST['submit'])){

  $nick = TextGuard($_POST['nick']);
  if(empty($nick)) $err[] = 'Новый ник остался пустой...';
  $dinfo = mysql_fetch_array(mysql_query("SELECT `login` FROM `user` WHERE `login` = '".$nick."' LIMIT 1"));
  if(!empty($nick))if($dinfo!=0) $err[] = 'Логин занят';
  $nicks = mysql_query("SELECT * FROM `nicks` where `who` = '".$id."' ORDER BY `id` DESC LIMIT 1");
  while($nicks2 = mysql_fetch_assoc($nicks)){
  
  $old = $nicks2['new'];
  
  }
  
  if(empty($old)) $old = $us['login'];

  if(!$err){
  
  	 mysql_query("INSERT INTO `nicks`(
			`who`,
			`ho`,
      `old`,
      `new`,
      `time`
			)VALUES(
			'".$user['id']."',
			'".$user['id']."',
			'".$old."',
			'".$nick."',
			'".time()."'
			)");

mysql_query("UPDATE `user` SET `login`='".$nick."' WHERE `id` = '".$user['id']."' limit 1");
 		
mysql_query("UPDATE `user` SET `rub`=`rub`-10 WHERE `id`='".$user['id']."' limit 1");

echo '<div class="lst">Вы изменили ник, с вас списано 10 рублей</div>';  
  }else{
  echo '<div class="err"><b>';
  foreach($err as $err_info){
  echo $err_info.'<br>';
  }
  echo '</b></div>';  
  }
  
  }

echo '<div class="lst">Стоимость услуги 10 рублей</div>'; 
  echo '<div class="glav">
  <form action="" method="post">
  Сменить ник:<br><input name="nick" value=""/>
  <input type="submit" value="Сохранить" name="submit"/>
  </form></div>';

  }
 else {
echo '<div class="post2">У вас на счету должно быть не менее 10-ти рублей</div>';
}
  break;

case 'wmid':

if($user['wmid'] == 0){
echo '<div class="post2"><form action="" method="post">
<b>Введите ваш wmr кошелек (без R):</b><br>
<input name="wmr" value=""/></br>

<b>WMID:</b><br>
<input name="wmid" value=""/>

</br><input type="submit" value="Подтвердить" name="submit"/>
</div>';

if(isset($_POST['submit'])){

$wmr = TextGuard($_POST['wmr']);
$wmid = TextGuard($_POST['wmid']);

if(empty($wmr)) $err[] = 'Вы не ввели wmr кошелек..';
if(!empty($wmr)) if(!is_numeric($wmr)) $err[] = 'В поле wmr кошелька разрешено вводить только цифры..';

if(empty($wmid)) $err[] = 'Вы не ввели wmid..';
if(!empty($wmid)) if(!is_numeric($wmid)) $err[] = 'В поле WMID разрешено вводить только цифры..';

if(!$err){

mysql_query("INSERT INTO `wmr` ( `who`,`time`,`wmr`,`wmid` )VALUES( '".$user['id']."','".time()."','".$wmr."','".$wmid."' )");

  $wmr = mysql_query("SELECT * FROM `user` WHERE `status` > '3'");
  while($wmr2 = mysql_fetch_assoc($wmr)){
 
     	 mysql_query("INSERT INTO `op`(
			`who`,
			`ho`,
			`text`,
      `time`,
      `read`
			)VALUES(
      '".$wmr2['id']."',
      '".$user['id']."',
      'желает подтвердить данные [url=/admin?m=wmid]Webmoney[/url]',
      '".time()."',
      '0'
			)");

  } 

echo '<div class="post1">Отправьте <b>2 рубля</b> на кошелек <b>R253695254547</b>, в примечаниях напишите <b>Подтверждение личности, Webmoney_'.$user['id'].'</b>.<br>Webmoney реквизиты будут заполнены в течении  24 часов</div>';
echo '<div class="post2">Примечания:<br><input name="" value="Подтверждение личности, Webmoney_'.$user['id'].'"/></div>';
  }else{
  echo '<div class="err"><b>';
  foreach($err as $err_info){
  echo $err_info.'<br>';
  }
  echo '</b></div>';
  }
  }
  
}else{
echo '<div class="tegi"><b>Ваши реквизиты:</b></div><div class="post1"><font color="green">Подтвержден</font></div><div class="poste">
WMID: <b>'.$user['wmid'].'</b></br>
Кошелёк: <b>R'.$user['wmr'].'</b></div>';
}

break;
///


///


///
case 'icon':
if( $user['rub'] > 10 ){
if(isset($_GET['del']) && !empty($user['icon'])){
mysql_query("UPDATE `user` SET `icon`='0' WHERE `id`='".$user['id']."' limit 1");
header('Location: /bl?bl=icon'); exit;
}
if(isset($_POST['submit'])){
if(!@file_exists($_FILES['filename']['tmp_name'])) $err[] = 'Вы не выбрали файл.';
if($_FILES['filename']['size'] != 0 and $_FILES['filename']['size'] > 1024000) $err[] = 'Слишком большой файл.';
$filetype = array ('png');
$upfiletype = substr($_FILES['filename']['name'],  strrpos( $_FILES['filename']['name'], "." )+1);  
if(!in_array($upfiletype,$filetype)) $err[] = 'Попытка взлома.';
if(!$err){
if(!empty($user['icon'])){
unlink('files/'.$user['icon'].'');
}
$ico = ''.$user['id'].'.png';
move_uploaded_file($_FILES['filename']['tmp_name'], "files/".$ico."");
mysql_query("UPDATE `user` SET `icon`='".$ico."',`rub`=`rub`-10 WHERE `id`='".$user['id']."' limit 1");
echo '<div class="lst">Вы изменили свою иконку, с вас списано 10 рублей.</div>';
}
else
{
echo '<div class="err">';
foreach($err as $errr){
echo $errr.'<br>';
}
echo '</div>';
}
}
echo '<div class="post1"><b>Стоимость смены иконки составляет 10 рублей</b></br>
<form action="" method="post" enctype="multipart/form-data">
Иконка (размер 16x16, формат .png):<br><input type="file" name="filename"/><br>  
<input type="submit" value="Купить иконку" name="submit"/>
</form>';
if(!empty($user['icon'])){echo '<a href="/bl?bl=icon&amp;del">Удалить иконку</a> <b>[Бесплатно]</b>';}
}else{
echo '<div class="err">У вас не достаточно средств на счету.</div>';}
echo '</div>';
break;
///
case 'grad':
if( $user['rub'] > 15 ){
$use = mysql_fetch_array(mysql_query('select * from `gradient` where `id` = '.$user['id'].''));
if(isset($_POST['submit'])){
$start = TextGuard($_POST['start']);
$end = TextGuard($_POST['end']);
mysql_query("UPDATE `gradient` SET `id`='".$user['id']."',`who`='".$user['id']."',`start`='".$start."',`end`='".$end."' WHERE `id`='".$user['id']."' limit 1");
mysql_query("UPDATE `user` SET `rub`=`rub`-15 WHERE `id`='".$user['id']."' limit 1");
echo '<div class="lst">Вы изменили градиент ника, с вас списано 15 рублей.</div>';
}
echo '<div class="post1"><b>Стоимость смены градиенты ника составляет 15 рублей</b></br>
<form action="" method="post">
Начальный цвет (пример: F08080):<br><input name="start" value="'.$use['start'].'"/><br>
Конечный цвет (пример: FF0000):<br><input name="end" value="'.$use['end'].'"/></br>
<input type="submit" value="Купить" name="submit"/>
</form></div>';
}else{
echo '<div class="err">У вас не достаточно средств на счету.</div>';}

break;
case 'grad_status':
if( $user['rub'] > 15 ){
$use = mysql_fetch_array(mysql_query('select * from `grad_status` where `id` = '.$user['id'].''));
if(isset($_POST['submit'])){
$start = TextGuard($_POST['start']);
$end = TextGuard($_POST['end']);
mysql_query("UPDATE `grad_status` SET `id`='".$user['id']."',`who`='".$user['id']."',`start`='".$start."',`end`='".$end."' WHERE `id`='".$user['id']."' limit 1");
mysql_query("UPDATE `user` SET `rub`=`rub`-15 WHERE `id`='".$user['id']."' limit 1");
echo '<div class="lst">Вы изменили градиент статуса, с вас списано 15 рублей</div>';
}
echo '<div class="post1"><b>Стоимость смены градиенты статуса составляет 15 рублей</b></br>
<form action="" method="post">
Начальный цвет (пример: F08080):<br><input name="start" value="'.$use['start'].'"/><br>
Конечный цвет (пример: FF0000):<br><input name="end" value="'.$use['end'].'"/></br>
<input type="submit" value="Купить" name="submit"/>
</form></div>';
}else{
echo '<div class="err">У вас не достаточно средств на счету.</div>';}

break;



////



///
case 'rek':
  if(isset($_POST['submit'])){
  $name = TextGuard($_POST['name']);
  $link = TextGuard($_POST['link']);
  $day = TextGuard($_POST['day']);
  $color = TextGuard($_POST['color']);
  mysql_query("INSERT INTO `ads` ( `name`,`link`,`color`,`mode`,`time`,`who`,`day` )VALUES( '".$name."','".$link."','".$color."','0','".time()."','".$user['id']."','".$day."' )");
  echo '<div class="msg">Запрос отправлен на модерацию</div>';
  $rek = mysql_query("SELECT * FROM `user` WHERE `status` > '1'");
  while($rek2 = mysql_fetch_assoc($rek)){
 
     	 mysql_query("INSERT INTO `op`(
			`who`,
			`ho`,
			`text`,
      `time`,
      `read`
			)VALUES(
      '".$rek2['id']."',
      '".$user['id']."',
      'хочет купить [url=/admin?m=rek]рекламу[/url]',
      '".time()."',
      '0'
			)");

  } 
  }
  echo '<div class="post1"><b>Стоимость покупки рекламы на 1 день составляет 5 рублей</b></br>
  <form action="" method="post">
  Ссылка рекламы:<br><input name="link"type="text" maxlength="50" value="http://" /></br>
  Имя  ссылки:<br><input name="name"type="text" maxlength="50" value="" /></br>
   Цвет: (пример: #000000)<br><input name="color"type="text" maxlength="50" value="#" /></br>
  На сколько дней:<br><input name="day"type="text" maxlength="50" value="" /></br>
  <input type="submit" value="Купить рекламу" name="submit"/>
  </form></div>';

break;

   }
   echo '<div class="post1">» <a href="/bl">Услуги</a></div>';
include '../../system/footer.php';
?>